Bug 59963 - initscripts-6.43-1.i386.rpm overwrites /etc/rc.sysinit without running diff
initscripts-6.43-1.i386.rpm overwrites /etc/rc.sysinit without running diff
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-15 21:01 EST by Stephen Lewis
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-15 21:01:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Lewis 2002-02-15 21:01:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.18-rc1 i686)

Description of problem:
When installing initscripts-6.43-1.i386.rpm (released on RHN within the last few
days) using kpackage 2.2.2, /etc/rc.sysinit is overwritten apparently without
running a diff or saving an rpmorig/rpmnew.  This causes major grief on any
machine with, for example, mount-2.11m which does not understand the -O option.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Modify /etc/rc.sysinit in some way  
2. Install initscripts-6.43-1.i386.rpm using kpackage 2.2.2
3.


Actual Results:  /etc/rc.sysinit is overwritten.  Filesystems do not mount
properly.  System does not boot. properly or run X.

Expected Results:  /etc/rc.sysinit.rpmnew should have been created.

Additional info:

A non Red Hat version of mount was installed to work with EXT3 and a more recent
kernel.
Comment 1 Bill Nottingham 2002-02-25 12:30:50 EST
Um, the version of mount that ships with 7.2 works with ext3.

In any case, rc.sysinit is marked as %config; I don't see this as an initscripts
problem.
Comment 2 Stephen Lewis 2002-03-02 17:48:17 EST
I was previously using EXT3 with RH7.1 and a recompiled kernel, hence the non RH version of mount, sorry if this was unclear.

Nonetheless, the problem remains.  Installing the new initscripts package with rpm caused the rc.sysinit file to be overwritten.  It caused me 
_massive_ grief.  Please try this process yourself before putting this STR in the bit-bucket.  If it is not a problem with the initscripts RPM, then 
it's a problem with rpm-4.0.3-1.03.

Note You need to log in before you can comment on or make changes to this bug.